Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Dmitry Gutov <[email-masked]>
Date: Wed, 10 Jan 2024 19:02:18 +0200

On 10/01/2024 18:04, Stefan Monnier wrote:
> FWIW, I view centralized mode-indexed databases like
> `eglot-server-programs` generally as a "youth diseases": as a package
> matures this gets replaced by buffer-local vars set by the respective
> major modes.

One of the proposed approaches was indeed for major modes to label 
themselves in the definition as associated with a particular language.

(Or maybe languages, plural? Do we want that? I suppose that might happen.)